Bug 1138746

Summary: virt-manager needs to split the version filed of the .treeinfo file on _ and - not just -
Product: [Fedora] Fedora Reporter: Dennis Gilmore <dennis>
Component: virt-managerAssignee: Cole Robinson <crobinso>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 21CC: awilliam, berrange, crobinso, robatino, sgallagh, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard: RejectedBlocker
Fixed In Version: virt-manager-1.1.0-3.git310f6527.fc21 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-09-29 03:54:17 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Dennis Gilmore 2014-09-05 14:27:35 UTC
Description of problem:

trying to install 21_Alpha_TC6 results in
Unable to complete install: 'invalid literal for int() with base 10: '21_Alpha_TC6''

Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/asyncjob.py", line 91, in cb_wrapper
    callback(asyncjob, *args, **kwargs)
  File "/usr/share/virt-manager/virtManager/create.py", line 1787, in do_install
    guest.start_install(meter=meter)
  File "/usr/share/virt-manager/virtinst/guest.py", line 384, in start_install
    self._prepare_install(meter, dry)
  File "/usr/share/virt-manager/virtinst/guest.py", line 277, in _prepare_install
    util.make_scratchdir(self.conn, self.type))
  File "/usr/share/virt-manager/virtinst/installer.py", line 201, in prepare
    self._prepare(guest, meter, scratchdir)
  File "/usr/share/virt-manager/virtinst/distroinstaller.py", line 444, in _prepare
    self._prepare_kernel_url(guest, fetcher)
  File "/usr/share/virt-manager/virtinst/distroinstaller.py", line 347, in _prepare_kernel_url
    store = urlfetcher.getDistroStore(guest, fetcher)
  File "/usr/share/virt-manager/virtinst/urlfetcher.py", line 311, in getDistroStore
    dist = _distroFromTreeinfo(fetcher, arch, _type)
  File "/usr/share/virt-manager/virtinst/urlfetcher.py", line 295, in _distroFromTreeinfo
    ob.isValidStore()
  File "/usr/share/virt-manager/virtinst/urlfetcher.py", line 681, in isValidStore
    vernum = int(str(ver).split("-")[0])
ValueError: invalid literal for int() with base 10: '21_Alpha_TC6'

we expect to keep the _ in the versions going forward. so we need to deal with them appropriately

Comment 1 Adam Williamson 2014-09-05 16:18:56 UTC
I'd say this would in theory be Beta blocker (not Alpha), as virt is generally Beta. The Alpha requirement for direct kernel boot to work is about PXE booting. 

However, it probably doesn't really need to be a blocker / freeze exception at all as this is a host issue not a guest one (the host's probably more likely to be F19 or F20 or RHEL or something than it is F21, rthough obviously we should fix it everywhere).

Comment 2 Cole Robinson 2014-09-06 21:08:55 UTC
Fixed upstream, build coming tomorrow

commit 2e7d477156e9d0f6fb218fa19fc00d6229d33e85
Author: Cole Robinson <crobinso@redhat.com>
Date:   Sat Sep 6 15:35:30 2014 -0400

    urlfetcher: Bunch of distro detection fixes

Comment 3 Fedora Update System 2014-09-07 22:43:09 UTC
virt-manager-1.1.0-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/virt-manager-1.1.0-1.fc21

Comment 4 Fedora Update System 2014-09-08 16:10:04 UTC
Package virt-manager-1.1.0-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing virt-manager-1.1.0-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-10305/virt-manager-1.1.0-1.fc21
then log in and leave karma (feedback).

Comment 5 Adam Williamson 2014-09-10 16:43:57 UTC
Discussed at 2014-09-10 blocker review meeting: http://meetbot.fedoraproject.org/fedora-blocker-review/2014-09-10/f21-blocker-review.2014-09-10-16.07.log.txt . Rejected as a blocker - as this is a host-side issue, it doesn't really need to be on the frozen images / install tree. People running VMs directly from a live image might possibly hit it, but they can 'yum update' or just rename the ISO.

The usual case is running VMs from an installed system, and installed systems will get the update normally.

Comment 6 Fedora Update System 2014-09-22 22:10:10 UTC
virt-manager-1.1.0-2.git30db9ece2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/virt-manager-1.1.0-2.git30db9ece2.fc21

Comment 7 Fedora Update System 2014-09-23 23:03:10 UTC
virt-manager-1.1.0-3.git310f6527.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/virt-manager-1.1.0-3.git310f6527.fc21

Comment 8 Fedora Update System 2014-09-29 03:54:17 UTC
virt-manager-1.1.0-3.git310f6527.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.